summaryrefslogtreecommitdiff
path: root/dev-db
diff options
context:
space:
mode:
authorJouni Kosonen <jouni.kosonen@tukesoft.com>2016-06-05 15:17:06 +0300
committerMichał Górny <mgorny@gentoo.org>2016-06-08 09:08:02 +0200
commit2b1d931e6146c440cf3eebd77c77c13bd4538078 (patch)
treefe157806a5bb47ab92e4a0767cbedf874f98c88a /dev-db
parentdev-python/python-sqlparse: add version 0.1.19 (diff)
downloadgentoo-2b1d931e6146c440cf3eebd77c77c13bd4538078.tar.gz
gentoo-2b1d931e6146c440cf3eebd77c77c13bd4538078.tar.bz2
gentoo-2b1d931e6146c440cf3eebd77c77c13bd4538078.zip
dev-db/mycli: add version 1.7.1
Pull-Request: https://github.com/gentoo/gentoo/pull/1616
Diffstat (limited to 'dev-db')
-rw-r--r--dev-db/mycli/Manifest1
-rw-r--r--dev-db/mycli/mycli-1.7.1.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-db/mycli/Manifest b/dev-db/mycli/Manifest
index 7c5376b0d32..13fc82cc9f1 100644
--- a/dev-db/mycli/Manifest
+++ b/dev-db/mycli/Manifest
@@ -1,3 +1,4 @@
DIST mycli-1.4.0.tar.gz 250369 SHA256 300b26d21fc75fecdff04133dac7a22550f8f537b8571985ec02e8e346b00fb5 SHA512 06176a62646be4bac2b90f72bc728afc8920e9ff1b0c04749a5601ee63d35ba2159f48e61e23df6ca3bc5477486f3e3917b3a8de8b7034594f4ed2c544f2969f WHIRLPOOL 6ade59f9c8d7927710df0e2cd4e77cd450468b7558ce9ce763cc54e172a75fd2a84017fe3cc0e9d20a5dbd05585d80d135063b96a7692cd23c76a90806ff1aac
DIST mycli-1.5.2.tar.gz 260595 SHA256 205f381f2c894863f6bce5d72856032e5e70fb9cc6bf02654943481457d7a63b SHA512 5015cadf10f0a2d31bffe6d2af620b7e4fdc9a40eb1760de49a5080524309330612ca3c75676925fb62c29a6f8ebdc599e725b4ba9b2ec9b741e84a8c9b9363b WHIRLPOOL b1ff602ec341f019c53eef9aca6d2167f95a9b6648f10075ec9f3cf5c5e1eaa590d17b42c561a606781c24a113975903836893e0a8e83f65fe479b7c232f34f4
DIST mycli-1.6.0.tar.gz 265464 SHA256 e398b18d81a8d16f8e9d9fa46dec16bafade22e83ca5693effe26b36afe0f556 SHA512 783f42381778902f66756bf26ed04edce8a868d9ec43268b22b659bd7fb13dfdfffe6915d3ed9054f43b97cc198cefa362049fa643a29f0ba8bed4a94e1a80a5 WHIRLPOOL eb0f73df8a2a0372c8b24b7e4b89ba074ad3fae22aae283c7655734160463322301683c50efca26fdd911df321753a510f806c8697ef9a3a9ff12c3f193341d2
+DIST mycli-1.7.1.tar.gz 266597 SHA256 27c1bbaa100b1a3fe4adaaf09eab3a372c14a9c27d07fe41b3d6dad6c800bbe6 SHA512 5c61fe67f3205dd1123ed8d38441cda0574db04dd46b7e075d216f7aa8cd856a2f06a1b4bf7dbe9fd0b07f3e91c151fe3f885d10d3db488b6c306e0ce9ac9e7c WHIRLPOOL 265aa82c9c2306576abdb4a90e81baeea74b74c8ab31e430051f9b7de6125c568366efdec76a95d75e1d0bce2fbf4c3bb57e85e69a09a4632dfa56fba3546d5d
diff --git a/dev-db/mycli/mycli-1.7.1.ebuild b/dev-db/mycli/mycli-1.7.1.ebuild
new file mode 100644
index 00000000000..bfbd20aa8bb
--- /dev/null
+++ b/dev-db/mycli/mycli-1.7.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+inherit distutils-r1
+
+DESCRIPTION="CLI for MySQL Database with auto-completion and syntax highlighting"
+
+HOMEPAGE="http://mycli.net"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+ >=dev-python/click-4.1[${PYTHON_USEDEP}]
+ >=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
+ >=dev-python/prompt_toolkit-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pycrypto-2.6.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/pymysql-0.6.6[${PYTHON_USEDEP}]
+ >=dev-python/python-sqlparse-0.1.19[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ rm mycli/packages/counter.py || die "Could not remove python 2.6 counter.py"
+ distutils-r1_src_prepare
+}